### Constructor

# Dex Future all_racev

#### Declaration [src]

    DexFuture*
    dex_future_all_racev (
      DexFuture* const* futures,
      guint n_futures
    )

#### Description [src]

Creates a new `DexFuture` that resolves when all futures resolve.

If any future rejects, the resulting `DexFuture` also rejects immediately.

This constructor is renamed to `()` in language bindings.

#### Parameters

`futures`

  Type: An array of `DexFuture*`

  An array of futures.

  The length of the array is specified in the `n_futures` argument.
  The data is owned by the caller of the function.

`n_futures`

  Type: `guint`

  The number of futures.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.